Subject: Re: bug#10324: [Platform-testers] Automake 1.11.1b test release

From: Peter Rosin <[email-masked]>
Date: Tue, 20 Dec 2011 21:15:19 +0100

Stefano Lattarini skrev 2011-12-19 20:33:
> Hi Bruno, thanks for the testing and the report.
> 
> Note that I will snip from my reply those parts of your message Peter has
> already answered to.
> 
> On 12/19/2011 03:11 AM, Bruno Haible wrote:
>> * msvc9
>>
>> FAIL: silent-lex-generic.test
>>
>> This is due to the use of<unistd.h>  in the flex-generated<unistd.h>.
>> When gnulib is in use, it is ok to use<unistd.h>  on MSVC platforms, but
>> without gnulib, it doesn't work.
>>
> I'm inclined to ignore this as a MSVC and/or flex limitation.  But I might change
> my mind if someone provides a simple patch to avoid the spurious failure ;-) ...

How about this for maint? Caution, I'm pretty much ignorant of lex details...

Cheers,
Peter

2011-12-20  Peter Rosin  <[email-masked]>

	tests: fix spurious failure on systems lacking unistd.h
	* tests/silent-lex-generic.test (foo.l): Don't require unistd.h
	to be present.

diff --git a/tests/silent-lex-generic.test b/tests/silent-lex-generic.test
index 2b2183e..a1c19ea 100755
--- a/tests/silent-lex-generic.test
+++ b/tests/silent-lex-generic.test
@@ -53,6 +53,10 @@ LDADD = $(LEXLIB)
 EOF
 
 cat > foo.l <<'EOF'
+%{
+/* avoid non-ANSI #include of unistd.h */
+#define YY_NO_UNISTD_H
+%}
 %%
 "END"   return EOF;
 .